Cemu - Bug #189

Mario Kart 8 freeze at start or end of race
09/08/2019 05:24 AM - JayXon

Status: Closed
Priority: Normal
Assignee:

Category: Compatibility
API: OpenGL
Cemu Version: 1.15.13c

Start date:

GPU Vendor/Model:

09/07/2019

GeForce GTX 1080

Description

I'm using single threaded compiler with GX2DrawDone() disabled based on compatibility wiki.
Active settings
CPU-Mode:
Load shared libraries:

571
57] true
GPUBufferCacheAccuracy:
Use precompiled shaders:

Full sync at GX2DrawDone:

auto

Crashlog for Cemu 1.15.13c
Date: 08-09-2019 05:05:30

Exception 0xc0000005 at 0x18607f56blf
cemu.exe at 0x7££778800000

Single—-core recompiler

RAX=0000000045e41664
RSP=00000187b6dd0550
R8 =0000000000000000
R12=0000000000000000

RBX=0000000000000002
RBP=0000000000000000
R9 =0000000000000001
R13=000001864e9a0000

(gameprofile)

low (gameprofile)
(gameprofile)
false

RCX=0000000000000008
RDI=0000000045e416a4
R10=0000000000000000
R14=0000000000000000

Game: MARIO KART 8 [US v64]
TitleId: 500001010ec00
RPXHash: 85887bcl
RDX=0000000000000000
RSI=0000000000000002
R11=00000186946e£f85c
R15=00000187d9640000
nw: :snd: :TaskThread
UIMoviePlayerThread
UILoadThread
UIMiiThread
UIScalableFont
UIMiiThread
AudioTaskProxyThread
AocSyncThread
RecorderThread
History

#1 - 09/30/2019 06:18 PM - mhmhmh93
- File log.txt added

JayXon wrote:

I'm using single threaded compiler with GX2DrawDone() disabled based on compatibility wiki.

[04:42:57] ——————— Active settings -—————-

[04:42:57] CPU-Mode: Single-core recompiler (gameprofile)
[04:42:57] Load shared libraries: true

[04:42:57] GPUBufferCacheAccuracy: low (gameprofile)
[04:42:57] Use precompiled shaders: auto (gameprofile)
[04:42:57] Full sync at GX2DrawDone: false

Crashlog for Cemu 1.15.13c
Date: 08-09-2019 05:05:30

Stack trace
Exception 0xc0000005 at 0x18607f56blf
cemu.exe at 0x7££778800000

RAX=0000000045e41664
RSP=00000187b6dd0550
R8 =0000000000000000
R12=0000000000000000

RBX=0000000000000002
RBP=0000000000000000
R9 =0000000000000001
R13=000001864e9a0000

Game: MARIO KART 8 [US v64]
TitleId: 500001010ec00
RPXHash: 85887bcl

Active PPC instance

7c65b730 00el90cc 02461730 02461730
le55dc48 0274cdéc 00e01160 0274c584
1e5852b0 0274cdé6c 00e01160 0274c584
le58db48 0274cdé6c 00e01160 0274c584
1le65b048 0274cdé6c 00e01160 0274c584
1e641778 0274cdé6c 00e01160 0274c584
2e6b42a8 0274cdé6c 00e01160 0274c584
3770e9c8 02a14730 029f9600 029f9600
383e2cc8 0274cdé6c 00e01160 0274c584
3757p560 0274cdé6c 028d6b08 028d6b08
3749£290 0274cdéc 0240al4c 0240al4c
3859d7e0 0274cdé6c 00e01160 0274c584
7c32£5£8 00elb088 00elb088 00e00000
10le7aal 02a8fe88 00e01160 02a90014
3b1282b8 Ent 0274cd6c IP 00e01160 LR 0274c584 SUSPENDED Aff 010 Pri 88 Name UIScalableFont
3a30cb28 Ent 0274cdéc IP 00e01160 LR 0274c584 SUSPENDED Aff 010 Pri 88 Name UIMiiThread

1e5642a0 Ent 0274cd6c IP 00e01160 LR 0274c584 SUSPENDED Aff 100 Pri 78 Name AudioTaskProxyThread
383d96a8 Ent 0274cd6c IP 00e01160 LR 0274c584 SUSPENDED Aff 010 Pri 80 Name AocSyncThread
433f6a58 Ent 0274cd6c IP 00e01160 LR 0274c584 SUSPENDED Aff 001 Pri 82 Name RecorderThread

Hi. I'm getting this bug as well, it's been happening since cemu 1.15.3, but now i'm in the latest cemu (1.15.5) and it still persists. | was in doubt if i
need to create a new bug tracker, but decided to post here, sorry if it was a mistake. | will upload my cemu log too.

#2 - 04/11/2020 05:45 AM - Zalnor

- Status changed from New to Closed

Mario Kart needs full sync at GX2DrawDone() on to not crash. Closing issue.
log.txt 568 Bytes 09/30/2019 mhmhmh93
